Skip to content

Fetch one project. The recorded state is reconciled with the running process.

GET
/v0/projects/{id}
curl --request GET \
--url https://infra-hyphae.run/v0/projects/example \
--header 'Authorization: Bearer <token>'
id
required
string
/^prj_[0-9a-f]{16}$/

Project.

Media typeapplication/json
object
id
required
string
/^prj_[0-9a-f]{16}$/
name
required
string
state
required
string
Allowed values: stopped running sleeping
created_at
required

RFC 3339, UTC.

string format: date-time
updated_at
required

RFC 3339, UTC.

string format: date-time
native
required
object
pin
required
string
Allowed value: 3.0.0
data_plane
required
string
Allowed value: /v2
Example
{
"state": "stopped",
"native": {
"pin": "3.0.0",
"data_plane": "/v2"
}
}

Missing, malformed, duplicate, or unknown credential (authentication_required).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid_request authentication_required authorization_denied not_found conflict payload_too_large not_implemented tenant_not_running tenant_running function_runtime_missing function_timeout function_bad_output function_busy orchestrator_unavailable upstream_unavailable internal
message
required
string
Example
{
"error": {
"code": "invalid_request"
}
}
WWW-Authenticate
string
Allowed value: Bearer realm="hyphae-cloud"

Unknown route, or a project the caller does not own (not_found).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid_request authentication_required authorization_denied not_found conflict payload_too_large not_implemented tenant_not_running tenant_running function_runtime_missing function_timeout function_bad_output function_busy orchestrator_unavailable upstream_unavailable internal
message
required
string
Example
{
"error": {
"code": "invalid_request"
}
}